Ciel Mac : Compatible Mac OS X 10.7 Lion !

• Lundi 18/07/2011  • Lu 11306 fois

Note : 3.1/5 (97 notes)

 

Les logiciels Ciel Mac sont maintenant certifiés avec le nouveau système d'exploitation d'Apple : Mac OS X 10.7 Lion. Mieux, ils sont compatibles avec le nouveau félin d'Apple depuis les versions 2010 (sorties en 2009).

Cela est dû au fait que les versions Ciel Mac 2010 avaient été réécrites avec les outils de programmation d'Apple, Xcode. Les versions 2010, 2011, 2012, et suivantes, sont donc compatibles avec Mac OS X 10.7 Lion (ce dernier sortant en juillet 2011).

Les versions Ciel Mac 2012 ne contiendront d'ailleurs que peu de nouveautés (une fois de plus..) car les équipes techniques de Ciel se sont concentrées sur l'adaptation des logiciels sur Mac OS X Lion et le portage sur Xcode depuis les versions 2009.
 

Trois années ont donc été nécessaires pour porter petit à petit tout le code de l'ensemble de la gamme des logiciels ciel Mac (Ciel Compta Mac, Ciel Gestion Mac, Ciel Compta Libérale Mac, Ciel Associations Mac, Ciel Paye Mac, Solution Ciel Mac, Ciel Professionnel Indépendant Mac, Ciel Comptes Personnels Mac, et les versions réseau) sur les nouveaux outils de développement d'Apple.

Si vous utilisez une version 2009 (avec les dernières mises à jour mineures 2009 effectuées), il faudra donc faire une mise à jour en version 2010, 2011, ou 2012 pour pouvoir utiliser votre logiciel Ciel Mac sur Lion.

Si vous utilisez une version 2009 sans la dernière mise à jour mineure, c'est à dire si vous utilisez une version antérieure aux numéros suivants : Associations 15 / Compta et Compta réseau 15.2 / Paye 15.3 / Comptes Personnels 15 / Compta libérale 15.1 / Gestion Commerciale 15.0 / Gestion Commerciale Réseau 15.1 / Professionnel Indépendant 15.4 / Auto Entrepreneur 1.4, vous devez faire comme si vous utilisiez une version 2008 et suivre les indications du paragraphe suivant. En effet, les toutes premières versions 2009 n'étaient pas encore passées sous Xcode...

PRECISION TRES IMPORTANTE : si vous utilisez une version antérieure aux versions que nous venons de citer, c'est-à-dire si vous utilisez une version 2008 ou antérieure, ou une des premières versions 2009, il faudra passer par une mise à jour intermédiaire (la dernière 2009, la version où le code a commencé à être porté sur Xcode), fournie gratuitement avec les nouvelles versions, AVANT DE MIGRER SUR MAC OS X 10.7 LION.

Concrètement, voilà comment cela se passe pour ces anciennes versions (et uniquement celles-là. Pour une version récente, il n'y a rien à faire). Vous restez donc pour l'instant sur Mac OS X 10.6.8 (version minimale nécessaire pour passer à Mac OS X Lion). Vous faites l'acquisition d'un logiciel Ciel Mac 2011 ou 2012, vous pouvez prendre une mise à jour ou une version complète, c'est la même chose.

Lors de l'installation à partir du CD, vous choisissez "Installation personnalisée". Vous pouvez ainsi choisir d'installer la nouvelle version de votre logiciel Ciel Mac, mais aussi la version intermédiaire 2009 (appelée "Dossier pour MAJ"), cochez donc les deux options.

Une fois l'installation effectuée, vous pouvez voir le dossier "Dossier pour MAJ" (MAJ voulant dire Mise à Jour) sur votre bureau. Ouvrez-le, puis lancez l'application Ciel qui s'y trouve. Vous pourrez ainsi ouvrir votre fichier de 2008 ou antérieur. Le logiciel vous proposera de mettre votre fichier à jour, acceptez (faites toujours bien sûr une sauvegarde avant).

Il n'y a plus qu'à installer Mac OS X Lion et à lancer votre logiciel Ciel qui se trouve dans votre dossier Applications.

QUE SE PASSE-T-IL SI VOUS AVEZ INSTALLE MAC OS X LION SANS FAIRE CETTE MISE A JOUR INTERMEDIAIRE ? Rappelons que la mise à jour intermédiaire n'est nécessaire que pour les versions 2008 et antérieures.

Dans ce cas, il faudra mettre à jour votre fichier sur un autre Mac encore équipé de Mac OS X 10.6.8.

Mais vous pouvez également demander à Ciel de mettre à jour le fichier pour vous, si vous avez un contrat d'assistance ou si vous venez d'acquérir une mise à jour ou une version complète.

D'après nos informations (mais cela reste à vérifier), vous n'avez pas besoin de contrat d'assistance si vous venez d'acheter une mise à jour ou une version complète pour que vous puissiez demander à Ciel de mettre à jour le fichier pour vous.

 

ARTICLES SUR DES THEMES SIMILAIRES --------------------

-------------------- RETENIR OU PARTAGER --------------------